## Name

gfwhere — print replica locations

## Synopsis

`gfwhere` [`options`] `path`...

## DESCRIPTION

The gfwhere command prints hostnames of filesystem nodes which hold replicas of the specified files.

## OPTIONS

`-a`

  Displays information of all replicas. This is similar to specifying the `-dio` options.

`-d`

  Displays replicas on filesystem nodes which are currently down as well.

`-F`

  Displays the following indicators just after each hostname. If the replica has been logically removed, but may still remain phisically, ";" and the replica's generation number are displayed. If the replica is incomplete because it's in the midst of replication, "?" is displayed. If the host is currently down, "-" is displayed.

`-h` `host`

  Only displays files stored on the specified host. When the -h option is specified multiple times, it displays files stored on all specified hosts. When the host A and host B are specified, it displays files stored on both host A and host B. The -h option can be specified up to three times.

`-i`

  Displays incomplete replicas which are in the midst of replication.

`-l`

  Displays in long format as follows.

  This displays one hostname in each line.

  If `-o` option or `-a` option is specified, this displays the generation number of the replica after the hostname.

  If `-d` option or `-a` option is specified, this displays an indicator which shows whether this host is down (d) or up (-) at next column.

  If `-i` option or `-a` option is specified, this displays an indicator which shows whether this replica is incomplete (i) or not (-) at next column. In the former case, this replica is in the midst of replication.

  If `-o` option or `-a` option is specified, this displays an indicator which shows whether this replica is obsolete (o) or not (-) at next column. In the former case, this replica has been logicall removed.

`-m` `N`

  Only displays files having less than or equal to N replicas and having greater than 0 bytes.

`-o`

  Displays obsolete replicas which has been logically removed, but may still remain phisically.

`-r, -R`

  Displays subdirectories recursively.

`-?`

  Displays a list of command options.